# Synthetic Air Transport Delays

Welcome to Synth-AT-Delays, a Python package designed to produce synthetic delay information from highly tuneable scenarios. Compared to other options, these scenarios are not aimed at mimicking the behaviour of the real system; but rather to test specific conditions and hypotheses, and how subsequent analyses are able to capture these. You may use this package to create a hypothetical system composed of a few airports, and generate time series representing the evolution of the average delays when changing their capacity. Similarly, different events and conditions can be simulated, e.g. the appearance of delays in specific routes, the dependence of different flights from the same crew, or the length of the buffer time between subsequent operations. 



## Getting started

Information about how to set up a simulation and extract results is available in the wiki: [Go to the wiki](https://gitlab.com/MZanin/synth-at-delays/-/wikis/home).

A good starting point are also the [Tutorial files](https://gitlab.com/MZanin/synth-at-delays/-/wikis/Home/Tutorials), which guide you in scenarios of increasing complexity.



## Change log

See the [Version History](https://gitlab.com/MZanin/synth-at-delays/-/wikis/Home/Version-History) section of the Wiki for details.

